View Issue Details

IDProjectCategoryView StatusLast Update
0004949Talerbank (demonstrator)public2017-06-06 14:18
ReporterTorsten GrothoffAssigned ToMarcello Stanisci 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004949: NEGATIVE BALANCE
Descriptioni go to my account (not required:and clic on 1 kudo and change it to 20 kudos)and i get my kudos and if i do it like 10+ times i see this
Current
balance:
-80.00
KUDOS





NEGATIVE KUDOS
Steps To Reproducei go to my account and i get my kudos and if i do it like 10+ times
TagsNo tags attached.

Activities

Marcello Stanisci

2017-03-22 23:59

manager   ~0011962

The check on the allowed threshold is implemented (976763e).
The error in case of violation needs to be reported in JSON format.

Furthermore, the config has now two values that allow the admin to set
a debt threshold for the bank itself and normal users, namely:

[bank]
...
MAX_DEBT = X EUR
MAX_DEBT_BANK = X EUR
...

Marcello Stanisci

2017-03-23 12:18

manager   ~0011963

The debt detection doesn't pick the right account to check.. Detected when
registering a new user.

Marcello Stanisci

2017-03-23 15:14

manager   ~0011964

That happens when the bank is not account number 1, so it's the admin's
responsibility.

Marcello Stanisci

2017-03-23 15:16

manager   ~0011965

fixed in 95810a8

Issue History

Date Modified Username Field Change
2017-03-10 21:27 Torsten Grothoff New Issue
2017-03-10 21:27 Torsten Grothoff Status new => assigned
2017-03-10 21:27 Torsten Grothoff Assigned To => Marcello Stanisci
2017-03-18 23:28 Christian Grothoff Product Version => SVN HEAD
2017-03-18 23:28 Christian Grothoff Target Version => 0.7
2017-03-22 23:59 Marcello Stanisci Note Added: 0011962
2017-03-23 12:18 Marcello Stanisci Note Added: 0011963
2017-03-23 15:14 Marcello Stanisci Note Added: 0011964
2017-03-23 15:16 Marcello Stanisci Status assigned => resolved
2017-03-23 15:16 Marcello Stanisci Resolution open => fixed
2017-03-23 15:16 Marcello Stanisci Note Added: 0011965
2017-03-29 16:44 Christian Grothoff Fixed in Version => 0.3
2017-03-29 16:44 Christian Grothoff Target Version 0.7 => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed